#if !defined(AFX_NOTATIONVIEW_H__7C674026_71BE_421C_8B2E_A8E407357A82__INCLUDED_)
#define AFX_NOTATIONVIEW_H__7C674026_71BE_421C_8B2E_A8E407357A82__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NotationView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CNotationView view

class CNotationView : public CView
{
protected:
	CNotationView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNotationView)

// Attributes
public:

// Operations
public:

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNotationView)
	public:
	virtual void OnInitialUpdate();
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual void OnUpdate(CView* pSender, LPARAM lHint, CObject* pHint);
	//}}AFX_VIRTUAL

// Implementation
protected:
	CTreeCtrl m_wndTreeCtrl;

	virtual ~CNotationView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CNotationView)
		// NOTE - the ClassWizard will add and remove member functions here.
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NOTATIONVIEW_H__7C674026_71BE_421C_8B2E_A8E407357A82__INCLUDED_)
